Package uk.ac.starlink.vo

# Enum Class UcdStatus.Code

java.lang.Object
java.lang.Enum<UcdStatus.Code>
uk.ac.starlink.vo.UcdStatus.Code

All Implemented Interfaces:
  `Serializable`, `Comparable<UcdStatus.Code>`, `Constable`

Enclosing class:
  `UcdStatus`

public static enum UcdStatus.Code extends Enum<UcdStatus.Code>
Characterises UCD standards conformance.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAD_SEQUENCE`
UCD words violate UCD1+ sequence rules.
`BAD_SYNTAX`
Not a UCD1 and cannot be parsed according to UCD1+.
`DEPRECATED`
Contains deprecated UCD1+ words.
`NAMESPACE`
Contains apparently namespaced UCD words.
`OK`
Conforms to UCD1+ standard.
`UCD1`
Conforms to UCD1 standard.
`UNKNOWN_WORD`
UCD1+ syntax but contains non-UCD1+ word.
`VOX`
Is in VOX: namespace introduced by SIAv1.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isError()`
Indicates whether this status represents a UCD value which violates known standards.
`boolean`
`isWarning()`
Indicates whether this status represents a UCD value which may deserve attention, but is not actually a standards violation.
`static UcdStatus.Code`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UcdStatus.Code[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final UcdStatus.Code OK
Conforms to UCD1+ standard.

### UCD1

public static final UcdStatus.Code UCD1
Conforms to UCD1 standard.

### VOX

public static final UcdStatus.Code VOX
Is in VOX: namespace introduced by SIAv1.

### BAD_SYNTAX

public static final UcdStatus.Code BAD_SYNTAX
Not a UCD1 and cannot be parsed according to UCD1+.

### BAD_SEQUENCE

public static final UcdStatus.Code BAD_SEQUENCE
UCD words violate UCD1+ sequence rules.

### UNKNOWN_WORD

public static final UcdStatus.Code UNKNOWN_WORD
UCD1+ syntax but contains non-UCD1+ word.

### NAMESPACE

public static final UcdStatus.Code NAMESPACE
Contains apparently namespaced UCD words.

### DEPRECATED

public static final UcdStatus.Code DEPRECATED
Contains deprecated UCD1+ words.

## Method Details

### values

public static UcdStatus.Code[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UcdStatus.Code valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isError

public boolean isError()
Indicates whether this status represents a UCD value which violates known standards.

Returns:
  true for error status

### isWarning

public boolean isWarning()
Indicates whether this status represents a UCD value which may deserve attention, but is not actually a standards violation.

Returns:
  true for warning status